import 'package:flutter/material.dart';

import 'package:hi_bugly/hi_bugly.dart';

void main() {
  runApp(const MyApp());
}

class MyApp extends StatefulWidget {
  const MyApp({super.key});

  @override
  State<MyApp> createState() => _MyAppState();
}

class _MyAppState extends State<MyApp> {

  @override
  void initState() {
    super.initState();
  }

  @override
  Widget build(BuildContext context) {
    return MaterialApp(
      home: Scaffold(
        appBar: AppBar(
          title: const Text('Plugin example app'),
        ),
        body: Column(
          children: [
            MaterialButton(
              onPressed: () async {
                await HiBugly.initialize(appID: '123456', debug: true);
                HiBugly.postException(name: '异常名', reason: '异常原因', callStack: '异常堆栈', extraInfo: '额外信息');
              },
              child: const Text('初始化'),
            ),
          ],
        ),
      ),
    );
  }
}
