import 'package:flutter_test/flutter_test.dart';
import 'package:hi_bugly/hi_bugly_platform_interface.dart';
import 'package:hi_bugly/hi_bugly_method_channel.dart';
import 'package:plugin_platform_interface/plugin_platform_interface.dart';

class MockHiBuglyPlatform
    with MockPlatformInterfaceMixin
    implements HiBuglyPlatform {
  @override
  Future<bool?> initialize({
    required appID,
    bool debug = false,
  }) {
    // TODO: implement initialize
    throw UnimplementedError();
  }

  @override
  void postException({String name = '', String reason = '', String callStack = '', String extraInfo = ''}) {
    // TODO: implement postException
    throw UnimplementedError();
  }
}

void main() {
  final HiBuglyPlatform initialPlatform = HiBuglyPlatform.instance;

  test('$MethodChannelHiBugly is the default instance', () {
    expect(initialPlatform, isInstanceOf<MethodChannelHiBugly>());
  });
}
